[ruby-opengl-devel] Breaking the radio silence and versioning

Al Hoang hoanga at alum.rpi.edu
Wed Jan 17 20:50:28 EST 2007


Hi all,

    Happy New Year's to all.  I'm sorry for the radio silence after getting
commit rights on this project.  I have a few questions regarding ruby-opengl
however I'd like to split them into seperate emails as they are seperate
topics for consideration.  Okay, on to the first topic.

    Version numbers.

I'd like to start making gems available for ruby-opengl however in order
to do this, it is necessary to decide on a version numbering scheme. I
understand ruby-opengl is still very rough around the edges but I think
having a gem will make it easier for people to try it out and send feedback
on broken things much easier than asking them to checkout the sources and
dance around the build steps. 

    From gleaning through the documents and the tutorial there was 
mention of a ruby-opengl-0.33 version so perhaps we can start for now with
version 0.33.0 and slowly increment from here.  I think this also is 
similar to the versioning number for Yoshi so it should hopefully cause
little confusion for people trying to transition to using ruby-opengl

    I've created the GemSpec in my checkout of tree and have made a simple
test of it and it seems to work okay.   If it's alright, I'd like to merge
this in and create the very first gem (even as disfunctional as it is) so
that the build and release process can be ironed out as well.


What do you guys think?
Alain


More information about the ruby-opengl-devel mailing list